Sisimai::Reason::Speeding(3pm)

NAME
Sisimai::Reason::Speeding - Bounce reason is "speeding" or not.

SYNOPSIS
    use Sisimai::Reason::Speeding;
    my $v = '451 4.7.1 <mx.example.jp[192.0.2.2]>: Client host rejected: Please try again slower';
    print Sisimai::Reason::Speeding->match($v); # 1

DESCRIPTION
"Sisimai::Reason::Speeding" checks the bounce reason is "speeding" or not. This class is called only "Sisimai::Reason" class. This is the error that the SMTP connection rejected due to exceeding a rate limit or sending too fast.

CLASS METHODS

  "text()"
text() method returns the fiexed string "speeding".

    print Sisimai::Reason::Speeding->text;  # speeding

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    my $v = '451 4.7.1 <mx.example.jp[192.0.2.2]>: Client host rejected: Please try again slower';
    print Sisimai::Reason::Speeding->match($v); # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "speeding". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2022,2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.